<?php
//admin_placeutilssave.php - created by Robin Richmond's place utilities mod
//This program displays a form through which the user selects the options for the CSV file.
//The form is submitted back to this script if the user changes the selected tree.
//The form is submitted to admin_placeutilssavefile.php when the user clicks the Save CSV File button.
//
include("begin.php");
include("adminlib.php");
$textpart = "findplace";
include("getlang.php");
include("$mylanguage/admintext.php");

tng_db_connect($database_host,$database_name,$database_username,$database_password) or exit;
$admin_login = 1;
include("checklogin.php");
include("version.php");

$helplang = findhelp("placeutilities_help.php");

$flags['tabs'] = $tngconfig['tabs'];
tng_adminheader( $admtext['mpu-saveplacedata'], $flags );
?>
<script language="javascript">
function validateForm(thisForm) {
	if (!thisForm.geocodes.checked && !thisForm.levels.checked) {
		alert("You must select some data to save");
		return false;
	}
	return true;
}
</script>

</head>
<body background="img/background.gif">
<?php
	// Placetabs 0-3 are standard; 4-7 are from the Place Utilities mod.
	$placetabs[0] = array(1,"admin_places.php",$admtext['search'],"findplace");
	$placetabs[1] = array($allow_add,"admin_newplace.php",$admtext['addnew'],"addplace");
	$placetabs[2] = array($allow_edit && $allow_delete,"admin_mergeplaces.php",$admtext['merge'],"merge");
	$placetabs[3] = array($allow_edit,"admin_geocodeform.php",$admtext['geocode'],"geo");
	$placetabs[4] = array($allow_edit,"admin_placeutilslevel.php",$admtext['mpu-placelevels'],"level");
	$placetabs[5] = array($allow_edit,"admin_placeutilsload.php",$admtext['mpu-fromfile'],"fromfile");
	$placetabs[6] = array(1,"admin_placeutilssave.php",$admtext['mpu-savefile'],"savefile");
	$placetabs[7] = array($allow_edit,"admin_placeutilsoptions.php",$admtext['mpu-options'],"options");
	$innermenu = "<a href=\"#\" onclick=\"return openHelp('$helplang/placeutilities_help.php');\" class=\"lightlink\">{$admtext['help']}</a>";
	$menu = doMenu($placetabs,"savefile",$innermenu);
	echo displayHeadline($admtext['places'] . " &gt;&gt; " . $admtext['mpu-saveplacedata'],"img/places_icon.gif", $menu, $message);
?>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="lightback">
<tr class="databack">
<td class="tngshadow normal">

	<form action="admin_placeutilssavefile.php" method="post" onsubmit="return validateForm(this)">
<?php
	$treequery = "SELECT gedcom, treename FROM $trees_table ORDER BY treename";
	$treename1 = "";

	if(!$tngconfig['places1tree']) {
		//Places ARE separated into trees, so display a list of trees if there are more than one.
		$treeresult = tng_query($treequery);
		if (tng_num_rows($treeresult) == 1) {
			$treerow = tng_fetch_assoc($treeresult);
			//There is one tree; put its id and descriptive name in hidden fields
			echo "<input type=\"hidden\" name=\"tree1\" value=\"{$treerow['gedcom']}\" /></th>\n";
			echo "<input type=\"hidden\" name=\"treename\" value=\"{$treerow['treename']}\" />\n";
		} else {
			//Note that the tree selection field resubmits this page when it is clicked.
			echo "<select name=\"tree1\" onchange=\"this.form.action='admin_placeutilssave.php';this.form.submit();\">\n";
			echo "	<option value=\"\">{$admtext['alltrees']}</option>\n";
			while( $treerow = tng_fetch_assoc($treeresult) ) {
				echo "	<option value=\"{$treerow['gedcom']}\"";
				if( $treerow['gedcom'] == $tree1 ) {
					echo " selected";
					//Save the descriptive tree name in a variable that will populate a hidden field later.
					$treename1 = $treerow['treename'];
				}
				echo ">{$treerow['treename']}</option>\n";
			}
			echo "</select>";
		}
		tng_free_result($treeresult);
		//The hidden field treename is populated from a variable defined above.
		echo "<input type=\"hidden\" name=\"treename\" value=\"$treename1\" />\n";

		}
?>
		<br><br><input type="checkbox" name="geocodes" value="geocodes" checked="checked" /><?php echo $admtext['mpu-savegeocode']; ?><br/>
		<input type="checkbox" name="levels" value="levels" checked="checked" onclick="this.form.level0only.disabled=!this.checked;" /><?php echo $admtext['mpu-savelevel']; ?> 
		&nbsp;&nbsp;&nbsp;
		<input type="checkbox" name="level0only" value="level0only" /><?php echo $admtext['mpu-zeroonly']; ?>
		<br/><br/><input type="submit" name="b1" value="<?php echo $admtext['mpu-savecsv']; ?> " />
	</form>

</td>
</tr>
</table>

<?php echo "<div align=\"right\"><span class=\"normal\">$tng_title, v.$tng_version</span></div>"; ?>
</body>
</html>


